/* Fonts */

@font-face {
    font-family: OpenSans;
    src: url(../fonts/OpenSans.ttf) format(truetype);
}

@font-face {
    font-family: Poppins-Light;
    src: url(../fonts/OpenSans.ttf) format(truetype);
}

@font-face {
    font-family: Poppins-Regular;
    src: url(../fonts/OpenSans.ttf) format(truetype);
}

@font-face {
    font-family: Poppins-Medium;
    src: url(../fonts/OpenSans.ttf) format(truetype);
}

@font-face {
    font-family: Poppins-Bold;
    src: url(../fonts/OpenSans.ttf) format(truetype);
}

/* Colors */



/* Typescale */

h1 {
    font-size: 2.027rem;
}
h2 {
    font-size: 1.802rem;
}
h3 {
    font-size: 1.602rem;
}
h4 {
    font-size: 1.424rem;
}
h5 {
    font-size: 1.266rem;
}
h6 {
    font-size: 1.125rem;
}
p {
    font-size: 1rem;
}
small {
    font-size: 0.889rem;
}

.container {
    width: 95%;
    padding: 0 1rem;
    margin: 0 auto;
}

@media screen and (min-width: 576px) {
    .container {
        width: 90%;
    }
}

@media screen and (min-width: 768px) {
    .container {
        width: 85%;
    }
    html {
        font-size: 1.1rem;
    }
}

@media screen and (min-width: 992px) {
    html {
        font-size: 1.125rem;
    }
}

@media screen and (min-width: 1200px) {
    .container {
        width: 80%;
    }
    html {
        font-size: 1.5rem;
    }
}

@media screen and (min-width: 1400px) {
    .container {
        width: 70%;
    }
    html {
        font-size: 1.2rem;
    }
}

@media screen and (min-width: 1920px) {
    .container {
        width: 60%;
    }
    html {
        font-size: 1.25rem;
    }
}

/* General */

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    font-family: OpenSans, sans-serif;
}

header {
    width: 100%;
    max-width: 1024px;
    margin: 0 auto;
    padding: 1rem 0;
}

header h1 {
    text-align: center;
    color:cornflowerblue;
}

section {
    padding-top: 1rem;
    padding-bottom: 1rem;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.main-container {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.img-container img {
    height: 250px;
    width: 250px;
    margin-bottom: 1rem;
}

.info-container {
    margin-bottom: 1rem;
}

.info-container p {
    margin-bottom: 0.5rem;
    text-align: center;
    font-size: 1.15rem;
}

/* Messages */

.message-container {
    width: 300px;
    margin: 1rem 0;
}

.message {
    padding: 0.5rem;
    text-align: center;
    border: none;
    border-radius: 0.25rem;
    font-size: 0.85rem;
    font-weight: 300;
}

.denied {
    background-color: red;
    color: #fff;
}

.success {
    background-color: greenyellow;
    color: #fff;
}

/* Login */

.login-container form {
    width: 300px;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    }

.login-item {
    width: 100%;
    display: flex;
    flex-direction: column;
    position: relative;
}
.login-item::before {
    content: "*";
    color: red;
    position: absolute;
    left: 5px;
    top: 50%;
    transform: translateY(-50%);
    font-size: 0.75rem;
}

.login-item label {
    display: none;
}

.login-item input {
    padding: 0.5rem 0.75rem;
    border: 1px solid black;
    border-radius: 0.25rem;
}

.submit-item button {
    width: 100%;
    margin-top: 1rem;
    padding: 0.6rem;
    border-radius: 0.25rem;
    border: none;
    background-color: cornflowerblue;
    color: #ffffff;
}

.submit-item button:hover {
    background-color: rgb(79, 120, 196);
}

.back-nav {
    margin: 0 auto;
    overflow: hidden;
    background-color: cornflowerblue;
    position: relative;
}

.back-nav ul {
    list-style: none;
}

.back-nav li {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-evenly;
}

.back-btn,
.logout-btn {
    height: 35px;
    width: 85px;
    text-decoration: none;
    color: #fff;
    position: relative;
    line-height: 35px;
    z-index: 1;
}

.back-btn:hover,
.logout-btn:hover {
    background-color: rgb(61, 92, 150);
}

.back-btn {
    text-align: start;
}

.back-btn::before {
    content: "";
    background-color: inherit;
    display: block;
    width: 26px;
    height: 26px;
    border: 2px solid;
    border-right-color: transparent;
    border-top-color: transparent;
    position: absolute;
    top: -3px;
    left: 0;
    z-index: -1;
    transform: rotateZ(45deg);
    transform-origin: top left;
}

.logout-btn {
    text-align: end;
}

.logout-btn::before {
    content: "";
    background-color: inherit;
    display: block;
    width: 26px;
    height: 26px;
    border: 2px solid;
    border-left-color: transparent;
    border-bottom-color: transparent;
    position: absolute;
    top: -3px;
    left: 85px;
    z-index: -1;
    transform: rotateZ(45deg);
    transform-origin: top left;
}

/* @media screen and (max-width: 768px) {
    .back-btn::before,
    .logout-btn::before {
        z-index: 1;
    }
} */


/* Hilfe & Download */

.nav-items,
.video-items {
    margin-bottom: 1rem;
    transition: all 0.3s ease-in-out;
}

.nav-items:hover,
.video-items:hover {
    transform: translateX(10px);
}

.nav-items a,
.video-items a {
    text-decoration: none;
    color: #000;
}

.nav-items:last-child {
    font-weight: bold;
    list-style: none;
}

.help-items {
    margin-bottom: 1rem;
    text-align: justify;
}

/* 404 */

 .oops-container {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
 }

 .oops-container h1,
 .oops-container p {
    margin: 1rem 0;
}

/* Footer */

footer {
    width: 100%;
    margin: 0 auto;
}

.copyright {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 20px 0;
  }

  .copyright span {
    display: block;
    height: 2px;
    width: 300px;
    border-top: 1px solid #000;
    margin-bottom: 1rem;
  }

  .copyright p {
    text-align: center;
    font-size: small;
  }
